// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/coverage.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CoverageArea struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Prefix       string              `protobuf:"bytes,1,opt,name=prefix,proto3" json:"prefix,omitempty"`                                                  // Префикс номера
	Country      string              `protobuf:"bytes,2,opt,name=country,proto3" json:"country,omitempty"`                                                // ISO-2 страны
	Locality     string              `protobuf:"bytes,3,opt,name=locality,proto3" json:"locality,omitempty"`                                              // местонахождени (область, тип)
	Notes        string              `protobuf:"bytes,4,opt,name=notes,proto3" json:"notes,omitempty"`                                                    // дополнительный комментарий
	Available    bool                `protobuf:"varint,5,opt,name=available,proto3" json:"available,omitempty"`                                           // доступно к использованию
	OnDemand     bool                `protobuf:"varint,6,opt,name=on_demand,json=onDemand,proto3" json:"on_demand,omitempty"`                             // предлагать к покупке в зоне номер вида XXXX
	OfferAlways  bool                `protobuf:"varint,7,opt,name=offer_always,json=offerAlways,proto3" json:"offer_always,omitempty"`                    // предлагать в любом случае иначе если нет других вариантов
	Price        *api.DidPrice       `protobuf:"bytes,8,opt,name=price,proto3" json:"price,omitempty"`                                                    // дефолтная цена номера в зоне
	Requirements []api.DocumentType  `protobuf:"varint,9,rep,packed,name=requirements,proto3,enum=com.freeje.DocumentType" json:"requirements,omitempty"` // типы документов которые необходимо предоставить
	Features     []api.NumberFeature `protobuf:"varint,10,rep,packed,name=features,proto3,enum=com.freeje.NumberFeature" json:"features,omitempty"`       // особенности номера (SMS,FAX и тд)
	Types        []api.PhoneType     `protobuf:"varint,11,rep,packed,name=types,proto3,enum=com.freeje.PhoneType" json:"types,omitempty"`                 // возможные типы номеров
	Deleted      bool                `protobuf:"varint,12,opt,name=deleted,proto3" json:"deleted,omitempty"`                                              //признак удаления
}

func (x *CoverageArea) Reset() {
	*x = CoverageArea{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_coverage_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CoverageArea) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CoverageArea) ProtoMessage() {}

func (x *CoverageArea) ProtoReflect() protoreflect.Message {
	mi := &file_admin_coverage_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CoverageArea.ProtoReflect.Descriptor instead.
func (*CoverageArea) Descriptor() ([]byte, []int) {
	return file_admin_coverage_proto_rawDescGZIP(), []int{0}
}

func (x *CoverageArea) GetPrefix() string {
	if x != nil {
		return x.Prefix
	}
	return ""
}

func (x *CoverageArea) GetCountry() string {
	if x != nil {
		return x.Country
	}
	return ""
}

func (x *CoverageArea) GetLocality() string {
	if x != nil {
		return x.Locality
	}
	return ""
}

func (x *CoverageArea) GetNotes() string {
	if x != nil {
		return x.Notes
	}
	return ""
}

func (x *CoverageArea) GetAvailable() bool {
	if x != nil {
		return x.Available
	}
	return false
}

func (x *CoverageArea) GetOnDemand() bool {
	if x != nil {
		return x.OnDemand
	}
	return false
}

func (x *CoverageArea) GetOfferAlways() bool {
	if x != nil {
		return x.OfferAlways
	}
	return false
}

func (x *CoverageArea) GetPrice() *api.DidPrice {
	if x != nil {
		return x.Price
	}
	return nil
}

func (x *CoverageArea) GetRequirements() []api.DocumentType {
	if x != nil {
		return x.Requirements
	}
	return nil
}

func (x *CoverageArea) GetFeatures() []api.NumberFeature {
	if x != nil {
		return x.Features
	}
	return nil
}

func (x *CoverageArea) GetTypes() []api.PhoneType {
	if x != nil {
		return x.Types
	}
	return nil
}

func (x *CoverageArea) GetDeleted() bool {
	if x != nil {
		return x.Deleted
	}
	return false
}

var File_admin_coverage_proto protoreflect.FileDescriptor

var file_admin_coverage_proto_rawDesc = []byte{
	0x0a, 0x14, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x63, 0x6f, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x1a, 0x0c, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xb8, 0x03, 0x0a, 0x0c, 0x43,
	0x6f, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x41, 0x72, 0x65, 0x61, 0x12, 0x16, 0x0a, 0x06, 0x70,
	0x72, 0x65, 0x66, 0x69, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x70, 0x72, 0x65,
	0x66, 0x69, 0x78, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x1a, 0x0a,
	0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x6f, 0x74,
	0x65, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x12,
	0x1c, 0x0a, 0x09, 0x61, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x08, 0x52, 0x09, 0x61, 0x76, 0x61, 0x69, 0x6c, 0x61, 0x62, 0x6c, 0x65, 0x12, 0x1b, 0x0a,
	0x09, 0x6f, 0x6e, 0x5f, 0x64, 0x65, 0x6d, 0x61, 0x6e, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x08, 0x6f, 0x6e, 0x44, 0x65, 0x6d, 0x61, 0x6e, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x6f, 0x66,
	0x66, 0x65, 0x72, 0x5f, 0x61, 0x6c, 0x77, 0x61, 0x79, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0b, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x41, 0x6c, 0x77, 0x61, 0x79, 0x73, 0x12, 0x2a, 0x0a,
	0x05, 0x70, 0x72, 0x69, 0x63, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69,
	0x63, 0x65, 0x52, 0x05, 0x70, 0x72, 0x69, 0x63, 0x65, 0x12, 0x3c, 0x0a, 0x0c, 0x72, 0x65, 0x71,
	0x75, 0x69, 0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x09, 0x20, 0x03, 0x28, 0x0e, 0x32,
	0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44, 0x6f, 0x63,
	0x75, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x0c, 0x72, 0x65, 0x71, 0x75, 0x69,
	0x72, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x35, 0x0a, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75,
	0x72, 0x65, 0x73, 0x18, 0x0a, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x46, 0x65, 0x61,
	0x74, 0x75, 0x72, 0x65, 0x52, 0x08, 0x66, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65, 0x73, 0x12, 0x2b,
	0x0a, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x18, 0x0b, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x15, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x50, 0x68, 0x6f, 0x6e, 0x65,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x64,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x64, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x64, 0x32, 0xf3, 0x01, 0x0a, 0x08, 0x43, 0x6f, 0x76, 0x65, 0x72, 0x61,
	0x67, 0x65, 0x12, 0x46, 0x0a, 0x04, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x18, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x69,
	0x6c, 0x74, 0x65, 0x72, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x43, 0x6f, 0x76, 0x65,
	0x72, 0x61, 0x67, 0x65, 0x41, 0x72, 0x65, 0x61, 0x30, 0x01, 0x12, 0x4d, 0x0a, 0x03, 0x47, 0x65,
	0x74, 0x12, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x43, 0x6f, 0x76, 0x65, 0x72, 0x61, 0x67,
	0x65, 0x41, 0x72, 0x65, 0x61, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x43, 0x6f, 0x76,
	0x65, 0x72, 0x61, 0x67, 0x65, 0x41, 0x72, 0x65, 0x61, 0x12, 0x50, 0x0a, 0x06, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x12, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x43, 0x6f, 0x76, 0x65, 0x72,
	0x61, 0x67, 0x65, 0x41, 0x72, 0x65, 0x61, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x43,
	0x6f, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x41, 0x72, 0x65, 0x61, 0x42, 0x72, 0x0a, 0x14, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64,
	0x6d, 0x69, 0x6e, 0x42, 0x0c, 0x43, 0x6f, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70,
	0x65, 0x50, 0x00, 0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f,
	0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x64,
	0x6d, 0x69, 0x6e, 0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0xa2, 0x02, 0x0c, 0x43, 0x6f, 0x76, 0x65, 0x72, 0x61, 0x67, 0x65, 0x54, 0x79, 0x70, 0x65, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_coverage_proto_rawDescOnce sync.Once
	file_admin_coverage_proto_rawDescData = file_admin_coverage_proto_rawDesc
)

func file_admin_coverage_proto_rawDescGZIP() []byte {
	file_admin_coverage_proto_rawDescOnce.Do(func() {
		file_admin_coverage_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_coverage_proto_rawDescData)
	})
	return file_admin_coverage_proto_rawDescData
}

var file_admin_coverage_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_admin_coverage_proto_goTypes = []interface{}{
	(*CoverageArea)(nil),     // 0: com.freeje.api.admin.CoverageArea
	(*api.DidPrice)(nil),     // 1: com.freeje.DidPrice
	(api.DocumentType)(0),    // 2: com.freeje.DocumentType
	(api.NumberFeature)(0),   // 3: com.freeje.NumberFeature
	(api.PhoneType)(0),       // 4: com.freeje.PhoneType
	(*api.SearchFilter)(nil), // 5: com.freeje.SearchFilter
}
var file_admin_coverage_proto_depIdxs = []int32{
	1, // 0: com.freeje.api.admin.CoverageArea.price:type_name -> com.freeje.DidPrice
	2, // 1: com.freeje.api.admin.CoverageArea.requirements:type_name -> com.freeje.DocumentType
	3, // 2: com.freeje.api.admin.CoverageArea.features:type_name -> com.freeje.NumberFeature
	4, // 3: com.freeje.api.admin.CoverageArea.types:type_name -> com.freeje.PhoneType
	5, // 4: com.freeje.api.admin.Coverage.List:input_type -> com.freeje.SearchFilter
	0, // 5: com.freeje.api.admin.Coverage.Get:input_type -> com.freeje.api.admin.CoverageArea
	0, // 6: com.freeje.api.admin.Coverage.Update:input_type -> com.freeje.api.admin.CoverageArea
	0, // 7: com.freeje.api.admin.Coverage.List:output_type -> com.freeje.api.admin.CoverageArea
	0, // 8: com.freeje.api.admin.Coverage.Get:output_type -> com.freeje.api.admin.CoverageArea
	0, // 9: com.freeje.api.admin.Coverage.Update:output_type -> com.freeje.api.admin.CoverageArea
	7, // [7:10] is the sub-list for method output_type
	4, // [4:7] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_admin_coverage_proto_init() }
func file_admin_coverage_proto_init() {
	if File_admin_coverage_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_coverage_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CoverageArea); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_coverage_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_coverage_proto_goTypes,
		DependencyIndexes: file_admin_coverage_proto_depIdxs,
		MessageInfos:      file_admin_coverage_proto_msgTypes,
	}.Build()
	File_admin_coverage_proto = out.File
	file_admin_coverage_proto_rawDesc = nil
	file_admin_coverage_proto_goTypes = nil
	file_admin_coverage_proto_depIdxs = nil
}
